{ pkgs
, additionalRC ? ""
, additionalPlugins ? []
, ... }:

pkgs.neovim.override {
  vimAlias = true;
  configure = {
    # add custom .vimrc lines like this:
    customRC = (import ./commonrc.nix {}) + ''
      " deoplete {
      " let g:deoplete#enable_at_startup = 1
      " let g:deoplete#enable_smart_case = 1
      " }
    '' + additionalRC;

    vam.knownPlugins = pkgs.vimPlugins; # optional
    vam.pluginDictionaries = [ # full ducomentation at github.com/MarcWeber/vim-addon-manager
      "vim-addon-vim2nix"
      "vim-airline"
      "vim-addon-nix"
      "ctrlp"
      "vim-css-color"
      "rainbow_parentheses"
      "vim-colorschemes"
      "vim-colorstepper"
      "vim-signify"
      # "deoplete-nvim"
    ] ++ additionalPlugins;
  };
  extraPythonPackages = [];
  withPython3 = true;
}
